Rock
Gorgeous GeorgeEdwyn Collins
UK 1994 (Setanta SETCD14)Компакт-диск. CD; Альбом
11:11Maria Taylor
Europe 2005 (Saddle Creek Europe SCE74CD)Компакт-диск. CD; Альбом
Electronic, Rock
Again Into EyesS.C.U.M
Europe 2011 (Mute CDSTUMM327)Компакт-диск. CD; Альбом
OdelayBeck
Europe (Geffen Records GED 24908)Компакт-диск. CD; Альбом; Переиздание
StratosphereDuster
US 2022 (Numero Group NUM1286)Компакт-диск. CD; Альбом; Переиздание
Gold MotherJames
UK 1991 (Fontana 848 595-2)Компакт-диск. CD; Альбом; Переиздание; Стерео
Wet LegWet Leg
USA & Europe 2022 (Domino WIGLP496X)Винил. Пластинка; LP; Альбом; Лимитированное издание
TranzophobiaMega City Four
UK 1989 (Decoy DYL 3)Винил. Пластинка; LP; Альбом
Saint CloudWaxahatchee
USA & Canada 2020 (Merge Records MRG704)Винил. Пластинка; LP; Альбом
Funk / Soul, Rock
The CarArctic Monkeys
Worldwide 2022 (Domino WIGLP455X)Винил. Пластинка; LP; Альбом; Лимитированное издание
Streethawk: A SeductionDestroyer
US 2010 (Merge Records MRG373)Винил. Пластинка; LP; Альбом; Переиздание
Start HereThe Gloria Record
UK 2021 (Big Scary Monsters BSM295V)Винил. Пластинка; LP; Альбом; Лимитированное издание
OnEchobelly
UK 1995 (Rhythm King FAUV 6 CD)Компакт-диск. CD; Альбом
These Things Move In ThreesMumm-Ra
Europe 2007 (Columbia bexhill19)Компакт-диск. CD; Альбом
Crooked Rain Crooked RainPavement
Europe 2020 (Matador OLE0790)Винил. Пластинка; LP; Альбом; Переиздание
Black RiversBlack Rivers
Europe 2015 (Ignition Records (2) IGNCD62)Компакт-диск. CD; Альбом
Sam's TownThe Killers
Europe 2006 (Vertigo 1706722)Компакт-диск. CD; Альбом; Special Edition; Стерео
Flip Your WigHüsker Dü
UK 1985 (SST Records SST 055)Винил. Пластинка; LP; Альбом
This Is Dance Floor NumerologyNorth Of America
Europe 2001 (Rewika Records REW020)Компакт-диск. CD; Альбом
Music Of The SpheresIan Brown
UK 2002 (Polydor 589 126-2)Компакт-диск. CD; Альбом; Special Edition; Стерео
Calling The DogsCitiZen
US 2023 (Run For Cover Records (2) RFC264)Винил. Пластинка; LP; Альбом; Лимитированное издание
DomesticaCursive
US 2025 (Run For Cover Records (2) RFC305)Винил. Пластинка; LP; Альбом; Переиздание
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
US (SST Records SST-CD-055)Компакт-диск. CD; Альбом; Переиздание; Repress
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.